Loading...
Searching...
No Matches
BALL::VIEW::PropertyEditor Class Reference

`#include <BALL/VIEW/WIDGETS/propertyEditor.h>`

Inheritance diagram for BALL::VIEW::PropertyEditor:

## Public Slots

void | apply ()
void | reset ()

## Signals

void | valueChanged ()

## Public Member Functions

| PropertyEditor (QWidget *parent=0, bool editable=true)
| PropertyEditor (PropertyManager *manager, QWidget *parent, bool editable=true)
void | setPropertyManager (PropertyManager *man)
void | setEditable (bool mode)
bool | isEditable () const
bool | hasChanges () const

## Protected Slots

void | scheduleDelete_ ()
void | scheduleDuplicate_ ()
void | valueChanged_ ()
void | createNewBool_ ()
void | createNewInt_ ()
void | createNewUInt_ ()
void | createNewFloat_ ()
void | createNewDouble_ ()
void | createNewString_ ()

## Protected Member Functions

void | setupUi_ ()
PropEditorWidget * | addProperty_ (const NamedProperty &prop)
PropEditorWidget * | addProperty_ (PropEditorWidget *editor)
PropEditorWidget * | createEditorWidget_ (const NamedProperty &prop)
QString | chooseName_ (const QString &initial)
void | deleteProperty_ (PropEditorWidget *editor)

## Detailed Description

A widget providing editor capabilities for arbitrary PropertyManager objects. The widget provides a read-only mode as well as controls to add, delete and duplicate properties. Currently only NamedProperties are supported.

Definition at line 281 of file propertyEditor.h.

## Constructor & Destructor Documentation

## PropertyEditor() [1/2]

BALL::VIEW::PropertyEditor::PropertyEditor | ( | QWidget * | parent = 0,
|  | bool | editable = true )

explicit

Construct a PropertyEditor

Parameters

  parent | the parent widget of this widget.
  editable | should the properties be editable?

## PropertyEditor() [2/2]

BALL::VIEW::PropertyEditor::PropertyEditor | ( | PropertyManager * | manager,
|  | QWidget * | parent,
|  | bool | editable = true )

Construct a PropertyEditor

Parameters

  manger | a pointer to the PropertyManager object which should be edited
  parent | the parent widget of this widget.
  editable | should the properties be editable?

## Member Function Documentation

## addProperty_() [1/2]

PropEditorWidget * BALL::VIEW::PropertyEditor::addProperty_ | ( | const NamedProperty & | prop | ) |

protected

## addProperty_() [2/2]

PropEditorWidget * BALL::VIEW::PropertyEditor::addProperty_ | ( | PropEditorWidget * | editor | ) |

protected

## apply

void BALL::VIEW::PropertyEditor::apply | ( |  | ) |

slot

Apply all available changes

## chooseName_()

QString BALL::VIEW::PropertyEditor::chooseName_ | ( | const QString & | initial | ) |

protected

## createEditorWidget_()

PropEditorWidget * BALL::VIEW::PropertyEditor::createEditorWidget_ | ( | const NamedProperty & | prop | ) |

protected

## createNewBool_

void BALL::VIEW::PropertyEditor::createNewBool_ | ( |  | ) |

protected slot

## createNewDouble_

void BALL::VIEW::PropertyEditor::createNewDouble_ | ( |  | ) |

protected slot

## createNewFloat_

void BALL::VIEW::PropertyEditor::createNewFloat_ | ( |  | ) |

protected slot

## createNewInt_

void BALL::VIEW::PropertyEditor::createNewInt_ | ( |  | ) |

protected slot

## createNewString_

void BALL::VIEW::PropertyEditor::createNewString_ | ( |  | ) |

protected slot

## createNewUInt_

void BALL::VIEW::PropertyEditor::createNewUInt_ | ( |  | ) |

protected slot

## deleteProperty_()

void BALL::VIEW::PropertyEditor::deleteProperty_ | ( | PropEditorWidget * | editor | ) |

protected

## hasChanges()

bool BALL::VIEW::PropertyEditor::hasChanges | ( |  | ) | const

Are there changes to the properties available

## isEditable()

bool BALL::VIEW::PropertyEditor::isEditable | ( |  | ) | const

Are the displayed Properties user-editable

## reset

void BALL::VIEW::PropertyEditor::reset | ( |  | ) |

slot

Reread all property values from the PropertyManager

## scheduleDelete_

void BALL::VIEW::PropertyEditor::scheduleDelete_ | ( |  | ) |

protected slot

## scheduleDuplicate_

void BALL::VIEW::PropertyEditor::scheduleDuplicate_ | ( |  | ) |

protected slot

## setEditable()

void BALL::VIEW::PropertyEditor::setEditable | ( | bool | mode | ) |

Control the editablity of the widget.

## setPropertyManager()

void BALL::VIEW::PropertyEditor::setPropertyManager | ( | PropertyManager * | man | ) |

Set a different PropertyManager object to display/edit This function can also be used to explicitly update the view on the current PropertyManager.

## setupUi_()

void BALL::VIEW::PropertyEditor::setupUi_ | ( |  | ) |

protected

## valueChanged

void BALL::VIEW::PropertyEditor::valueChanged | ( |  | ) |

signal

Emitted upon the first user made change to the editors

## valueChanged_

void BALL::VIEW::PropertyEditor::valueChanged_ | ( |  | ) |

protected slot